import { FieldValue, SetOptions } from "@firebase/firestore-types";
import { AllowType, Document, Options } from "./types";
export declare const useDocument: <Data extends unknown, TransData = Document<Data>>(path?: string | undefined, options?: Options<Document<Data>, TransData> | undefined) => {
    data: TransData | undefined;
    status: "error" | "idle" | "loading" | "success";
    error: Error | null;
    set: (newData: Partial<AllowType<Data, FieldValue>>, setOptions?: SetOptions | undefined) => Promise<void> | undefined;
    update: (newData: Partial<AllowType<Data, FieldValue>>) => Promise<void> | undefined;
    deleteDocument: () => Promise<void> | undefined;
    refetch: <TPageData>(options?: (import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) | undefined) => Promise<import("react-query").QueryObserverResult<TransData, Error>>;
    setCache: (cachedData: Partial<Document<Data>>) => void;
    unsubscribe: (() => void) | null;
};
